$ErrorActionPreference = 'Stop'

$url64 = "https://github.com/infracost/infracost/releases/download/v0.10.23/infracost-windows-amd64.zip"
$unzipLocation = Split-Path -Parent $MyInvocation.MyCommand.Definition

$packageParams = @{
  PackageName   = 'infracost'
  UnzipLocation = $unzipLocation
  Url64         = $url64
  Checksum64    = '78B4820085AAF06DF699257558135A78D6D7B738FDB549470FF0808D6533AA24'
  ChecksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageParams
